Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class VoiceZoneMapItemDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<VoiceZoneMapItem>
ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceZoneMapItem>
ru.bitel.bgbilling.modules.voice.server.bean.code.VoiceZoneMapItemDao

public class VoiceZoneMapItemDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<VoiceZoneMapItem>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceZoneMapItemDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteByMapId(int id)`
  `VoiceZoneMapItem`
  `get(int zoneMapId, String code)`
  Получение элемента из конкретной карты зон, соответствующего определенному коду
  `protected VoiceZoneMapItem`
  `getFromRS(ResultSet rs)`
  `List<VoiceZoneMapItem>`
  `list(int zoneMapId)`
  Получение списка элементов определенной карты зон на определенную дату с подгрузкой названий геокодов и направлений.
  `protected void`
  `updateImpl(VoiceZoneMapItem item)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceZoneMapItemDao

    public VoiceZoneMapItemDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceZoneMapItem getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceZoneMapItem>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(VoiceZoneMapItem item) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<VoiceZoneMapItem>`
    Throws:
      `SQLException`

  - ### list

    public List<VoiceZoneMapItem> list(int zoneMapId) throws SQLException
    Получение списка элементов определенной карты зон на определенную дату с подгрузкой названий геокодов и направлений.
    Parameters:
      `zoneMapId` - код карты зон, элементы которой необходимо получить
      `date` - дата, на которую нужно получить список элементов карты зон.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteByMapId

    public void deleteByMapId(int id) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public VoiceZoneMapItem get(int zoneMapId, String code) throws SQLException
    Получение элемента из конкретной карты зон, соответствующего определенному коду
    Parameters:
      `zoneMapId` - код карты зон
      `code` - префикс
    Returns:
      элемент карты зон
    Throws:
      `SQLException`